<div style="margin-bottom: 15px;">

    <p-dataTable
        [value]="disbursements"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idPayment"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['disbursement-popup-new-list', null] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li>
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.paymentNumber'|translate}}" field="paymentNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.disbursement.refferenceNumber'|translate}}" field="refferenceNumber" [editable]="true">
        </p-column>
        <p-column header="{{'mpmApp.disbursement.dateCreate'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateCreate | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <p-calendar [(ngModel)]="rowData.dateCreate"
                      dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"></p-calendar>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.amount'|translate}}" [style]="{'width': '120px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.amount | number}}
            </ng-template>
            <ng-template let-col let-rowData="rowData" pTemplate="editor">
                <input currencyMask [(ngModel)]="rowData.amount"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"/>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.paymentType'|translate}}" *ngIf="idPaymentType === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paymentTypeId">
                    <a [routerLink]="['../payment-type', rowData.paymentTypeId  ]" >{{rowData.paymentTypeId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.method'|translate}}" *ngIf="idMethod === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.methodId">
                    <a [routerLink]="['../payment-method', rowData.methodId  ]" >{{rowData.methodId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.internal'|translate}}" *ngIf="idInternal === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.internalId">
                    <a [routerLink]="['../internal', rowData.internalId  ]" >{{rowData.internalId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.paidTo'|translate}}" *ngIf="idPaidTo === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paidToId">
                    <a [routerLink]="['../bill-to', rowData.paidToId  ]" >{{rowData.paidToId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.disbursement.paidFrom'|translate}}" *ngIf="idPaidFrom === undefined">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.paidFromId">
                    <a [routerLink]="['../bill-to', rowData.paidFromId  ]" >{{rowData.paidFromId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="button"
                    [routerLink]="['/', { outlets: { popup: 'disbursement/'+ rowData.idPayment + '/popup-edit'} }]"
                    replaceUrl="true"
                    icon="fa-pencil"
                    class="flat-button">
                </button>
                <ng-template let-rowData="rowData" pTemplate="body">
                    <button pButton type="button"
                        (click)="delete(rowData.idPayment)"
                        icon="fa-remove"
                        class="flat-button">
                    </button>
                </ng-template>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
